Loading...
Searching...
No Matches
BALL::VIEW::PeptideDialog Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/peptideDialog.h>`

Inheritance diagram for BALL::VIEW::PeptideDialog:

## Public Slots

void | ala_pressed ()
void | arg_pressed ()
void | asn_pressed ()
void | asp_pressed ()
void | cys_pressed ()
void | gln_pressed ()
void | glu_pressed ()
void | gly_pressed ()
void | his_pressed ()
void | ile_pressed ()
void | leu_pressed ()
void | lys_pressed ()
void | met_pressed ()
void | phe_pressed ()
void | pro_pressed ()
void | ser_pressed ()
void | thr_pressed ()
void | trp_pressed ()
void | tyr_pressed ()
void | val_pressed ()
void | back_pressed ()
void | close_pressed ()
void | angle_changed ()
void | insert_seq ()
void | prolineActivated ()
void | prolineDeactivated ()
virtual bool | eventFilter (QObject *object, QEvent *event)

## Public Member Functions

| PeptideDialog (QWidget *parent=0, const char *name="PeptideDialog", Qt::WindowFlags fl=0)
| Constructor.
| ~PeptideDialog ()
| Destructor.
String | getSequence ()
Protein * | getProtein ()
Public Member Functions inherited from BALL::Peptides::PeptideBuilder
| PeptideBuilder ()
| PeptideBuilder (const std::vector< AminoAcidDescriptor > &sequence)
| PeptideBuilder (const String &sequence, const Angle &phi=Angle(-47., false), const Angle &psi=Angle(-58., false), const Angle &omega=Angle(180., false))
| PeptideBuilder (const PeptideBuilder &pc)
virtual | ~PeptideBuilder ()
void | addAminoAcid (const String &type, const Angle &phi=Angle(-47., false), const Angle &psi=Angle(-58., false), const Angle &omega=Angle(180., false))
void | addAminoAcid (const AminoAcidDescriptor &aad)
void | setChainName (const String &name)
const String & | getChainName () const
void | setProteinName (const String &name)
const String & | getProteinName () const
Protein * | construct ()
void | setFragmentDB (const FragmentDB *db)
const FragmentDB * | getFragmentDB () const

## Protected Member Functions

void | insert_ (char a)
void | truncString_ (String &data)
bool | isAminoAcid_ (char a) const
Protected Member Functions inherited from BALL::Peptides::PeptideBuilder
Residue * | createResidue_ (const String &type, const int id)
void | insert_ (Residue &resnew, Residue &resold)
void | transform_ (const Angle &phi, const Angle &psi, Residue &resold, Residue &resnew)
void | peptide_ (Residue &resold, Residue &resnew)
void | setOmega_ (Residue &resold, Residue &residue, const Angle &omega)
PDBAtom * | getAtomByName_ (Residue &res, const String &name)

## Protected Attributes

Protein * | protein_
Protected Attributes inherited from BALL::Peptides::PeptideBuilder
std::vector< AminoAcidDescriptor > | sequence_
String | chainname_
String | proteinname_
bool | is_proline_
| The proline flag.
FragmentDB * | fragment_db_

## Static Protected Attributes

static String | all_amino_acids_

## Detailed Description

Dialog for building peptides

Definition at line 25 of file peptideDialog.h.

## Constructor & Destructor Documentation

## PeptideDialog()

BALL::VIEW::PeptideDialog::PeptideDialog | ( | QWidget * | parent = 0,
|  | const char * | name = "PeptideDialog",
|  | Qt::WindowFlags | fl = 0 )

Constructor.

## ~PeptideDialog()

BALL::VIEW::PeptideDialog::~PeptideDialog | ( |  | ) |

inline

Destructor.

Definition at line 38 of file peptideDialog.h.

## Member Function Documentation

## ala_pressed

void BALL::VIEW::PeptideDialog::ala_pressed | ( |  | ) |

inline slot

Definition at line 49 of file peptideDialog.h.

## angle_changed

void BALL::VIEW::PeptideDialog::angle_changed | ( |  | ) |

slot

## arg_pressed

void BALL::VIEW::PeptideDialog::arg_pressed | ( |  | ) |

inline slot

Definition at line 52 of file peptideDialog.h.

## asn_pressed

void BALL::VIEW::PeptideDialog::asn_pressed | ( |  | ) |

inline slot

Definition at line 55 of file peptideDialog.h.

## asp_pressed

void BALL::VIEW::PeptideDialog::asp_pressed | ( |  | ) |

inline slot

Definition at line 58 of file peptideDialog.h.

## back_pressed

void BALL::VIEW::PeptideDialog::back_pressed | ( |  | ) |

slot

## close_pressed

void BALL::VIEW::PeptideDialog::close_pressed | ( |  | ) |

slot

## cys_pressed

void BALL::VIEW::PeptideDialog::cys_pressed | ( |  | ) |

inline slot

Definition at line 61 of file peptideDialog.h.

## eventFilter

virtual bool BALL::VIEW::PeptideDialog::eventFilter | ( | QObject * | object,
|  | QEvent * | event )

virtual slot

## getProtein()

Protein * BALL::VIEW::PeptideDialog::getProtein | ( |  | ) |

inline

Definition at line 44 of file peptideDialog.h.

## getSequence()

String BALL::VIEW::PeptideDialog::getSequence | ( |  | ) |

## gln_pressed

void BALL::VIEW::PeptideDialog::gln_pressed | ( |  | ) |

inline slot

Definition at line 64 of file peptideDialog.h.

## glu_pressed

void BALL::VIEW::PeptideDialog::glu_pressed | ( |  | ) |

inline slot

Definition at line 67 of file peptideDialog.h.

## gly_pressed

void BALL::VIEW::PeptideDialog::gly_pressed | ( |  | ) |

inline slot

Definition at line 70 of file peptideDialog.h.

## his_pressed

void BALL::VIEW::PeptideDialog::his_pressed | ( |  | ) |

inline slot

Definition at line 73 of file peptideDialog.h.

## ile_pressed

void BALL::VIEW::PeptideDialog::ile_pressed | ( |  | ) |

inline slot

Definition at line 76 of file peptideDialog.h.

## insert_()

void BALL::VIEW::PeptideDialog::insert_ | ( | char | a | ) |

protected

## insert_seq

void BALL::VIEW::PeptideDialog::insert_seq | ( |  | ) |

slot

## isAminoAcid_()

bool BALL::VIEW::PeptideDialog::isAminoAcid_ | ( | char | a | ) | const

protected

## leu_pressed

void BALL::VIEW::PeptideDialog::leu_pressed | ( |  | ) |

inline slot

Definition at line 79 of file peptideDialog.h.

## lys_pressed

void BALL::VIEW::PeptideDialog::lys_pressed | ( |  | ) |

inline slot

Definition at line 82 of file peptideDialog.h.

## met_pressed

void BALL::VIEW::PeptideDialog::met_pressed | ( |  | ) |

inline slot

Definition at line 85 of file peptideDialog.h.

## phe_pressed

void BALL::VIEW::PeptideDialog::phe_pressed | ( |  | ) |

inline slot

Definition at line 88 of file peptideDialog.h.

## pro_pressed

void BALL::VIEW::PeptideDialog::pro_pressed | ( |  | ) |

inline slot

Definition at line 91 of file peptideDialog.h.

## prolineActivated

void BALL::VIEW::PeptideDialog::prolineActivated | ( |  | ) |

slot

## prolineDeactivated

void BALL::VIEW::PeptideDialog::prolineDeactivated | ( |  | ) |

slot

## ser_pressed

void BALL::VIEW::PeptideDialog::ser_pressed | ( |  | ) |

inline slot

Definition at line 94 of file peptideDialog.h.

## thr_pressed

void BALL::VIEW::PeptideDialog::thr_pressed | ( |  | ) |

inline slot

Definition at line 97 of file peptideDialog.h.

## trp_pressed

void BALL::VIEW::PeptideDialog::trp_pressed | ( |  | ) |

inline slot

Definition at line 100 of file peptideDialog.h.

## truncString_()

void BALL::VIEW::PeptideDialog::truncString_ | ( | String & | data | ) |

protected

## tyr_pressed

void BALL::VIEW::PeptideDialog::tyr_pressed | ( |  | ) |

inline slot

Definition at line 103 of file peptideDialog.h.

## val_pressed

void BALL::VIEW::PeptideDialog::val_pressed | ( |  | ) |

inline slot

Definition at line 106 of file peptideDialog.h.

## Member Data Documentation

## all_amino_acids_

String BALL::VIEW::PeptideDialog::all_amino_acids_

static protected

Definition at line 138 of file peptideDialog.h.

## protein_

Protein* BALL::VIEW::PeptideDialog::protein_

protected

Definition at line 137 of file peptideDialog.h.